Name: x11-driver-video-siliconmotion
Version: 1.7.5
Release: %mkrel 4
Summary: X.org driver for Silicon Motion Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-siliconmotion-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-siliconmotion is the X.org driver for Silicon Motion Cards.

%prep
%setup -q -n xf86-video-siliconmotion-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/drivers/siliconmotion_drv.la
%{_libdir}/xorg/modules/drivers/siliconmotion_drv.so
%{_mandir}/man4/siliconmotion.*




%changelog

* Tue Dec 06 2011 tmb <tmb> 1.7.5-4.mga2
+ Revision: 177666
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.7.5-3.mga2
+ Revision: 153131
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.7.5-2.mga1
+ Revision: 64413
- rebuild for new xserver-1.10

* Tue Mar 01 2011 tv <tv> 1.7.5-1.mga1
+ Revision: 62111
- new release

* Fri Feb 11 2011 tmb <tmb> 1.7.4-3.mga1
+ Revision: 50294
- imported package x11-driver-video-siliconmotion


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.7.4-3mdv2011.0
+ Revision: 595735
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.7.4-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Wed Apr 28 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.4-1mdv2010.1
+ Revision: 540405
- New version: 1.7.4
- Use %%configure2_5x
- Don't need to autoreconf

* Wed Aug 05 2009 Thierry Vignaud <tv@mandriva.org> 1.7.3-1mdv2010.0
+ Revision: 410244
- new release

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.7.2-1mdv2010.0
+ Revision: 391931
- update to new version 1.7.2

* Thu Apr 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.7.1-1mdv2010.0
+ Revision: 369181
- New version 1.7.1

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.7.0-1mdv2009.1
+ Revision: 321389
- New version 1.7.0
- Rebuild for new xserver

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.6.0-3mdv2009.1
+ Revision: 308242
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.6.0-2mdv2009.0
+ Revision: 265930
- rebuild early 2009.0 package (before pixel changes)

* Wed May 28 2008 Thierry Vignaud <tv@mandriva.org> 1.6.0-1mdv2009.0
+ Revision: 212432
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.1-4mdv2009.0
+ Revision: 194158
- Update to version 1.6.0.

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.1-4mdv2008.1
+ Revision: 166109
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.5.1-3mdv2008.1
+ Revision: 156619
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.1-2mdv2008.1
+ Revision: 154795
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update to properly generate the tarball from tag
  xf86-video-siliconmotion-1.5.1, and also include some patches considered
  ok, but without hardware to test, and the previously created mandriva
  branch was not moved.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.5.1-1mdv2008.1
+ Revision: 99032
- new upstream version: 1.5.1
- minor spec cleanup

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-3mdv2008.0
+ Revision: 75786
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

